package com.example.cookbook.service.impl;


import com.example.cookbook.model.Slika;
import com.example.cookbook.repository.SlikiZaReceptRepository;
import com.example.cookbook.service.SlikiService;
import org.springframework.stereotype.Service;

import java.sql.SQLException;
import java.util.List;

@Service
public class SlikiServiceImpl implements SlikiService {

    private final SlikiZaReceptRepository slikiZaReceptRepository;

    public SlikiServiceImpl(SlikiZaReceptRepository slikiZaReceptRepository) {
        this.slikiZaReceptRepository = slikiZaReceptRepository;
    }

    @Override
    public List<Slika> findAllPicById(Long recId) throws SQLException {
        return slikiZaReceptRepository.findAllForRecipe(recId);
    }
}
