package com.example.cookbook.service.impl;


import com.example.cookbook.model.Sostojka;
import com.example.cookbook.repository.SostojkiRespository;
import com.example.cookbook.service.SostojkiService;
import org.springframework.stereotype.Service;

import java.sql.SQLException;
import java.util.List;

@Service
public class SostojkiServiceImpl implements SostojkiService {

    private final SostojkiRespository sostojkiRepository;

    public SostojkiServiceImpl(SostojkiRespository sostojkiRepository) {
        this.sostojkiRepository = sostojkiRepository;
    }

    @Override
    public List<Sostojka> findAllById(Long rId) throws SQLException {
        return sostojkiRepository.findAllByRId(rId);
    }
}
